Eclipse Platform Release 3.7

## org.eclipse.update.core
Class SiteFeatureReference

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.FeatureReferenceModel
                  org.eclipse.update.core.FeatureReference
                      org.eclipse.update.core.SiteFeatureReferenceModel
                          org.eclipse.update.core.SiteFeatureReference

All Implemented Interfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment, ISiteFeatureReference

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class SiteFeatureReference

extends SiteFeatureReferenceModel
implements ISiteFeatureReference

Convenience implementation of a feature reference.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.1
See Also:
  `IFeatureReference`, `FeatureReferenceModel`, `ISiteFeatureReference`, `SiteFeatureReferenceModel`

Constructor Summary
`SiteFeatureReference()` Deprecated. Feature reference default constructor
`SiteFeatureReference(ISiteFeatureReference ref)` Deprecated. Constructor FeatureReference.

Method Summary
`void` `addCategory(ICategory category)` Deprecated. Adds a category to the referenced feature.
`ICategory[]` `getCategories()` Deprecated. Returns an array of categories the referenced feature belong to.

Methods inherited from class org.eclipse.update.core.SiteFeatureReferenceModel
`addCategoryName, getCategoryNames, removeCategoryName, setCategoryNames`

Methods inherited from class org.eclipse.update.core.FeatureReference
`getFeature, getFeature, getFeature, getName, getNL, getOS, getOSArch, getSite, getVersionedIdentifier, getWS, isPatch, setSite, setURL`

Methods inherited from class org.eclipse.update.core.model.FeatureReferenceModel
`equals, getFeatureIdentifier, getFeatureVersion, getLabel, getLabelNonLocalized, getPatch, getPropertyName, getSiteModel, getType, getURL, getURLString, resolve, setArch, setFeatureIdentifier, setFeatureVersion, setLabel, setNL, setOS, setPatch, setSiteModel, setType, setURLString, setWS, toString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getFeature, getFeature, getName, getSite, getURL, getVersionedIdentifier, isPatch, setSite, setURL`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Constructor Detail

### SiteFeatureReference

    public SiteFeatureReference()

  Deprecated.
  Feature reference default constructor

### SiteFeatureReference

    public SiteFeatureReference(ISiteFeatureReference ref)

  Deprecated.
  Constructor FeatureReference.

  Parameters:
    `ref` - the reference to copy

Method Detail

### getCategories

    public ICategory[] getCategories()

  Deprecated.
  Returns an array of categories the referenced feature belong to.

  Specified by:
    `getCategories` in interface `ISiteFeatureReference`
  Returns:
    an array of categories, or an empty array
  Since:
    2.1
  See Also:
    `ISiteFeatureReference.getCategories()`

### addCategory

    public void addCategory(ICategory category)

  Deprecated.
  Adds a category to the referenced feature.

  Specified by:
    `addCategory` in interface `ISiteFeatureReference`
  Parameters:
    `category` - new category
  Since:
    2.1
  See Also:
    `ISiteFeatureReference.addCategory(ICategory)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.